Sets the activation function for supplied neuron and layer

- « fann_set_activation_function_output

- fann_set_activation_steepness_hidden »

- PHP Manual
- Fann Functions
- Sets the activation function for supplied neuron and layer

# fann_set_activation_function

(PECL fann >= 1.0.0)

fann_set_activation_function — Sets the activation function for supplied neuron and layer

### Description

fann_set_activation_function(
resource `$ann`,
int `$activation_function`,
int `$layer`,
int `$neuron`
): bool

Set the activation function for neuron number `neuron` in layer number `layer`, counting the input layer as layer 0.

It is not possible to set activation functions for the neurons in the input layer.

When choosing an activation function it is important to note that the activation functions have different range. `FANN_SIGMOID` is e.g. in the 0 - 1 range while `FANN_SIGMOID_SYMMETRIC` is in the -1 - 1 range and `FANN_LINEAR` is unbound.

The supplied activation_function value must be one of the activation functions constants.

The return value is one of the activation functions constants.

### Parameters

`ann`

  Neural network resource.

`activation_function`

  The activation functions constant.

`layer`

  Layer number.

`neuron`

  Neuron number.

### Return Values

Returns `true` on success, or `false` otherwise.

### See Also

- fann_set_activation_function_layer() - Sets the activation function for all the neurons in the supplied layer
- fann_set_activation_function_hidden() - Sets the activation function for all of the hidden layers
- fann_set_activation_function_output() - Sets the activation function for the output layer
- fann_set_activation_steepness() - Sets the activation steepness for supplied neuron and layer number
- fann_get_activation_function() - Returns the activation function